OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
DBC

# DBC_VArrayOfExtCharacter Class Reference

`#include <DBC_VArrayOfExtCharacter.hxx>`

Inheritance diagram for DBC_VArrayOfExtCharacter:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBC_VArrayOfExtCharacter ()
Standard_EXPORT | DBC_VArrayOfExtCharacter (const Standard_Integer Size)
Standard_EXPORT | DBC_VArrayOfExtCharacter (const DBC_VArrayOfExtCharacter &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const DBC_VArrayOfExtCharacter &Other)
void | operator= (const DBC_VArrayOfExtCharacter &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_ExtCharacter &Value)
Standard_EXPORT Standard_ExtCharacter & | Value (const Standard_Integer Index) const
Standard_ExtCharacter & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~DBC_VArrayOfExtCharacter ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | DBC_VArrayOfExtCharacter_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayOfExtCharacter::DBC_VArrayOfExtCharacter | ( |  | ) |

Standard_EXPORT DBC_VArrayOfExtCharacter::DBC_VArrayOfExtCharacter | ( | const Standard_Integer | Size | ) |

Standard_EXPORT DBC_VArrayOfExtCharacter::DBC_VArrayOfExtCharacter | ( | const DBC_VArrayOfExtCharacter & | Varray | ) |

DBC_VArrayOfExtCharacter::~DBC_VArrayOfExtCharacter | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void DBC_VArrayOfExtCharacter::Assign | ( | const DBC_VArrayOfExtCharacter & | Other | ) |

Standard_EXPORT void DBC_VArrayOfExtCharacter::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void DBC_VArrayOfExtCharacter::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfExtCharacter::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfExtCharacter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_ExtCharacter& DBC_VArrayOfExtCharacter::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void DBC_VArrayOfExtCharacter::operator= | ( | const DBC_VArrayOfExtCharacter & | Other | ) | `[inline]`

Standard_EXPORT void DBC_VArrayOfExtCharacter::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void DBC_VArrayOfExtCharacter::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ExtCharacter & | Value
| ) |

Standard_EXPORT Standard_ExtCharacter& DBC_VArrayOfExtCharacter::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& DBC_VArrayOfExtCharacter_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- DBC_VArrayOfExtCharacter.hxx